/*
 * Copyright 2010-2013 Ning, Inc.
 *
 * Ning licenses this file to you under the Apache License, version 2.0
 * (the "License"); you may not use this file except in compliance with the
 * License.  You may obtain a copy of the License at:
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the
 * License for the specific language governing permissions and limitations
 * under the License.
 */
package com.ning.billing.entitlement.api.transfer;

import com.ning.billing.entitlement.api.user.SubscriptionData;
import com.ning.billing.entitlement.events.EntitlementEvent;

public class TransferCancelData {

    final SubscriptionData subscription;
    final EntitlementEvent cancelEvent;

    public TransferCancelData(final SubscriptionData subscription,
            final EntitlementEvent cancelEvent) {
        this.subscription = subscription;
        this.cancelEvent = cancelEvent;
    }

    public SubscriptionData getSubscription() {
        return subscription;
    }

    public EntitlementEvent getCancelEvent() {
        return cancelEvent;
    }
}
